# interfaces.spm

## Module: `interfaces.spm`

Inheritance diagram for `nipy.interfaces.spm`:

Interfaces to SPM

## Class

## `SpmInfo`

class nipy.interfaces.spm.SpmInfo

  Bases: `object`

  __init__()
  property spm_path
  property spm_ver

## Functions

nipy.interfaces.spm.fltcols(vals)

  Trivial little function to make 1xN float vector

nipy.interfaces.spm.fname_presuffix(fname, prefix='', suffix='', use_ext=True)

nipy.interfaces.spm.fnames_presuffix(fnames, prefix='', suffix='')

nipy.interfaces.spm.make_job(jobtype, jobname, contents)

nipy.interfaces.spm.run_jobdef(jobdef)

nipy.interfaces.spm.scans_for_fname(fname)

nipy.interfaces.spm.scans_for_fnames(fnames)